Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.store
Class Jsr173

    java.lang.Object
      org.apache.xmlbeans.impl.store.Jsr173

    public class Jsr173

extends java.lang.Object

Constructor Summary
`Jsr173()`

Method Summary
`static javax.xml.stream.XMLStreamReader` | `newXmlStreamReader(org.apache.xmlbeans.impl.store.Cur c, java.lang.Object src, int off, int cch)`
`static javax.xml.stream.XMLStreamReader` | `newXmlStreamReader(org.apache.xmlbeans.impl.store.Cur c, XmlOptions options)`
`static Node` | `nodeFromStream(javax.xml.stream.XMLStreamReader xs)`
`static Node` | `nodeFromStreamImpl(org.apache.xmlbeans.impl.store.Jsr173.Jsr173GateWay gw)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jsr173

    public Jsr173()

Method Detail

### nodeFromStream

    public static Node nodeFromStream(javax.xml.stream.XMLStreamReader xs)

### nodeFromStreamImpl

    public static Node nodeFromStreamImpl(org.apache.xmlbeans.impl.store.Jsr173.Jsr173GateWay gw)

### newXmlStreamReader

    public static javax.xml.stream.XMLStreamReader newXmlStreamReader(org.apache.xmlbeans.impl.store.Cur c,
                                                                      java.lang.Object src,
                                                                      int off,
                                                                      int cch)

### newXmlStreamReader

    public static javax.xml.stream.XMLStreamReader newXmlStreamReader(org.apache.xmlbeans.impl.store.Cur c,
                                                                      XmlOptions options)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD